#pragma once
#include <winsock2.h>
#include <stdio.h>
#include <queue>
#include <string>
#include "../KLFace2Thread.h"
#include "../PacketStruct.h"

const int	PACKET_BUFSIZE = 256;

class CPlayerThread : public KLFace2Thread
{
private:
	sockaddr_in	client;
	int			len;
	SOCKET		serverSock, sock;
	bool		bAccepted;

	queue<PK_KeyState>	recvQueue;

	// ʃXbh֐
	void	Main(void);
	void	acceptProc(void);
	void	recvProc(void);

public:
	CPlayerThread(void);
	~CPlayerThread(void);

	void	setServerSocket(SOCKET);
	bool	isAccepted(void);

	bool	isBufferFilled(void);
	bool	getKeyState(PK_KeyState *);

	void	sendStateMessage(vector<PK_KeyState> *);

	void	sendForce(const char *argStr)
	{
		send(sock, argStr, 8, 0);
	};

};
