#pragma once
#include <winsock2.h>
#include <stdio.h>
#include <queue>
#include <string>
#include "./PlayerThread.h"

class CServerParent
{
private:
	//// Winsock's setup ////

	// T[o\Pbgpϐ
	WSADATA			wsaData;
	SOCKET			sock0;
	sockaddr_in		addr;
	BOOL			yes;

	bool			bWSAInit, bListen;
	int				numConnected;

	CPlayerThread	player[4];

public:
	CServerParent(void);
	~CServerParent(void);

	bool	initSocket(void);
	int		startListening(unsigned int);
	void	shutdownServer(void);

	CPlayerThread * getPlayerThread(int);
};
