#include ".\playerthread.h"

CPlayerThread::CPlayerThread(void)
{
	len = sizeof(client);
	serverSock = INVALID_SOCKET;
	sock = INVALID_SOCKET;
	bAccepted = false;

	return;
}

CPlayerThread::~CPlayerThread(void)
{
}

void CPlayerThread::setServerSocket(SOCKET argSock)
{
	serverSock = argSock;

	return;
}

void CPlayerThread::Main(void)
{
	/*
	if(bAccepted) recvProc();
	else acceptProc();
	*/
	acceptProc();
	recvProc();

	return;
}

void CPlayerThread::acceptProc(void)
{
	sock = accept(serverSock, (struct sockaddr *)&client, &len);

	if(sock == INVALID_SOCKET) {
		printf("error : accept(%d)\n", WSAGetLastError());
		bAccepted = false;
	} else {
		printf("accepted!\n");
		bAccepted = true;
	}

	return;
}

void CPlayerThread::recvProc(void)
{
    char		recvBuf[PACKET_BUFSIZE];
    int			recvSize, sendSize;
	PK_KeyState	recvState;

	memset(recvBuf, 0, sizeof(recvBuf));

	while(true) {
 		// Iwo烋[v甲
		if(isEndWait) break;
		Sleep(1);

		// f[^M҂
		recvSize = recv(sock, recvBuf, 8, 0);

		// CLOSEH
		if(recvSize < 1) {
			printf("disconnect.\n");
			closesocket(sock);	// CLOSE
			bAccepted = false;
			break;
		// X|X
		} else if(strcmp("READY?_\0", recvBuf) == 0) {
			sendSize = send(sock, "YEAH!__\0", 8, 0);
			// MsH
			if(sendSize < 1) {
				printf("error : send(%d)\n", WSAGetLastError());
				closesocket(sock);	// CLOSE
				bAccepted = false;
				break;
			}
		// Ȃ
		} else if(strcmp("BYE!___\0", recvBuf) == 0) {
			printf("shutdown.\n");
			shutdown(sock, 1);
		} else if(strcmp("PK_C2S_\0", recvBuf) == 0){
			recv(sock, (char*)&recvState, sizeof(PK_KeyState), 0);
			Lock();
			recvQueue.push(recvState);	// 󂯎R}hvbV
			Unlock();
		}
    }

    return;
}

bool CPlayerThread::isAccepted(void)
{
	return bAccepted;
}

bool CPlayerThread::getKeyState(PK_KeyState *argState)
{
	if(recvQueue.empty()) return false;
	*argState = recvQueue.front();

	Lock();
	recvQueue.pop();
	Unlock();

	return true;
}

bool CPlayerThread::isBufferFilled(void)
{
	return bool(recvQueue.size() > 1);
}

void CPlayerThread::sendStateMessage(vector<PK_KeyState> *argArray)
{
	static char tmp;
	tmp = (char)argArray->size();
	send(sock, "PK_S2C_\0", 8, 0);
	send(sock, &tmp, 1, 0);
	for(char i = 0; i < tmp; i++) {
		send(sock, (char*)&argArray->at(i), sizeof(PK_KeyState), 0);
		// printf("PK_KeyState(%d): (%f, %f), %d\n", i, argArray->at(i).dir[0], argArray->at(i).dir[1], argArray->at(i).sw[0]);
	}

	return;
}
